// Maximum input speed to eliminate jitter;
#define MAX_VERT_SERVO_SPEED  10
#define MAX_HORIZ_SERVO_SPEED 10

// Average points;
#define NUM_AVG_SAMPLES 16      // 8, 16, 32=0.5 sec delay

//--------------------------------------------------------------------------------------
// ISR variables;

#define NUM_SERVO 3

// Servo[0] = Horizontal pan; Servo[1]= Vertical tilt; Servo[2]=AP shutter sw.;
static uint16 Servo[NUM_SERVO];

//--------------------------------------------------------------------------------------
// Filtering;

static bit x_vert_locked;
static bit y_horis_locked;

static bank1 uint16 ServoData_V[NUM_AVG_SAMPLES-1];
static bank2 uint16 ServoData_H[NUM_AVG_SAMPLES-1];

//--------------------------------------------------------------------------------------

static byte CurrentServo;
static bit  ServoStart;
static bit  WaitForGap;

#ifdef FRAMES_COUNT
static uint16 FramesCount;
static uint16 BrokenFramesCount;
#endif

static bit  Shift; // shift servo data to one channel (i.e. 4 -> 5);
static bit  NoHoriz; // horizontal movements servo disabled;

static byte  _Shift; // copy at the begginning of frame;
static byte  _NoHoriz; // copy at the begginning of frame;
static byte _StartCh; // calculates at the begginning of frame;

static uint16 v, h;

//--------------------------------------------------------------------------------------
// Servo related stuff;

#define SERVO_PERIOD	20000
#define SERVO_NEUTRAL	1500
#define SERVO_SPAN	500
#define SERVO_MAX (SERVO_NEUTRAL+SERVO_SPAN)
#define SERVO_MIN (SERVO_NEUTRAL-SERVO_SPAN)
#define SERVO_START	300
#define SERVO_GAP	(3*SERVO_MAX)

#define START_CH	4 // Servo[0] = Rudder(Ch.4); Servo[1]= Switch(Ch.5); Servo[2]=(Ch.6);
// Note if Shift=1, START_CH will be 5 and if NoHoriz=1, it will be 6 without Y (Horiz) impulse;

#define SERVO_HIGH	0 // 0=inverse servo polarity (Hitec Flash 5 needs 0);

//--------------------------------------------------------------------------------------
